# Installs pygster python package.
#
# Recipe:: package
# Cookbook:: pygster
# Author:: Greg Albrecht <gba@onbeep.com>
# Copyright:: Copyright 2014 OnBeep, Inc.
# License:: Apache License, Version 2.0
# Source:: https://github.com/onbeep-cookbooks/pygster
#


include_recipe 'python'


python_pip 'pygster' do
  action :upgrade
  version node['pygster']['version']

  if node['pygster']['virtualenv']
    virtualenv node['pygster']['virtualenv']
  end
end
