# Tests Recipe for pygster.
#
# Recipe:: test
# Cookbook:: pygster
# Author:: Greg Albrecht <gba@onbeep.com>
# Copyright:: Copyright 2014 OnBeep, Inc.
# License:: Apache License, Version 2.0
# Source:: https://github.com/onbeep-cookbooks/pygster
#


state_dir = '/var/lib/pygster'
log_file = '/tmp/pygster_test.log'

directory state_dir

file log_file do
  content <<-EOS
1:23:45 "HTTP/1.1" 400 /wtf
1:24:45 "HTTP/1.1" 300 /omg
1:25:45 "HTTP/1.1" 200 /lol
EOS
end

pygster log_file do
  state_dir state_dir
  parser 'SamplePygster'
  output 'stdout'
end
