# Default Resource pygster.
#
# Resources:: default
# Cookbook:: pygster
# Author:: Greg Albrecht <gba@onbeep.com>
# Copyright:: Copyright 2014 OnBeep, Inc.
# License:: Apache License, Version 2.0
# Source:: https://github.com/onbeep-cookbooks/pygster
#


actions :add, :remove
default_action :add


attribute :log_file, :kind_of => String, :name_attribute => true
attribute :prefix, :kind_of => String
attribute :parser_options, :kind_of => String
attribute :gmetric_options, :kind_of => String
attribute :graphite_host, :kind_of => String
attribute :state_dir, :kind_of => String, :default => '/var/lib/pygster'
attribute :output, :kind_of => String
attribute :parser, :kind_of => String
attribute :python_path, :kind_of => Array, :default => []
attribute :frequency, :kind_of => Integer, :default => 1
attribute :options, :kind_of => String
