Description
===========
[![Cookbook Version](http://img.shields.io/cookbook/v/pygster.svg?style=flat)](https://community.opscode.com/cookbooks/pygster)
[![Pygster Version](http://img.shields.io/pypi/v/pygster.svg?style=flat)](https://pypi.python.org/pypi/pygster)

Installs [Pygster](https://github.com/OnBeep/pygster) pure-Python log parser and enables `pygster` LWRP.

Attributes
----------
| Attribute    | Default | Required? | Description                                   |
|--------------|:-------:|-----------|-----------------------------------------------|
| `version`    | `1.0.1` | Default   | Version of Pygster Python package to install. |
| `virtualenv` | `nil`   | Default   | Python Virtualenv to install Pygster into.    |

Usage
-----
1. Add the pygster Cookbook to your Run List.
2. Utilize the `pygster` LWRP within your Recipes. See `test.rb` Recipe for example usage.

Author
------
Greg Albrecht <gba@onbeep.com>

Contributors
------------
The Pygster Cookbook is derived from multiple sources:
* Dennis Rowe's original [logster](https://github.com/shr3kst3r/logster) Cookbook.
* Grégoire Seux's [logster](https://github.com/kamaradclimber/chef-logster) Cookbook.
* René Scheibe's [logster](https://github.com/darxriggs/chef-logster) Cookbook.
* Metabrainz's [logster](https://github.com/metabrainz/chef-logster) Cookbook

Copyright
---------
Copyright 2014 OnBeep, Inc.

License
-------
* The Pygster Cookbook is covered under the Apache License, Version 2.0.
* The Pygster Python package is covered under the GNU General Public License, Version 3.

See LICENSE for the Apache License, Version 2.0.
